emacs

dkg can't live without emacs. the simplest way to install a decent version of it is:

sudo apt-get install emacs21{,-el}

If you are installing this on a machine without X11, and you don't want to pull in the X11 dependencies, do this instead:

sudo apt-get install emacs21{-nox,-el}